Subject: Re: [Mip4] MS multiple IP add in SIP case.

From: "Hari Turlapati" <[email-masked]>
Date: Sat, 23 Sep 2006 23:58:50 -0400

On 8/2/06, Arun SG <[email-masked]> wrote:
> In document X.S0011-002-D v1.0, at one place we see this:
>
> 3.2.1.5 DHCPv4 Support
> Blah, lah....
> However, if the
> 25 MS acquires additional IPv4 addresses from a DHCP server using a PDSN
> as the relay agent,
> 26 the PDSN shall store the additional IPv4 addresses.
>
> But at a later section, we see that:
>
> 3.4.1.5 DHCPv4 Support
> 34 The MS may support and use DHCP [RFC 2131] to request specific
> configuration parameters
> 35 [RFC 2132], which may include DNS addresses and/or SIP server
> addresses [RFC 3361].The
> 36 MS should not use DHCP [RFC 2131] to request additional IPv4
> addresses.
>
>
> Is this summary then correct?
> 1. MS may request multiple IP addresses from the network, but not use
> DHCP client to do so.
> 2. To get multiple IP addresses, the only option is to use IPCP.

IPCP does not allow PDSN to assign multiple IP Addresses to MS.

> 3. Since there can be only one IP address per PPP session and one PPP
> session between MS and PDSN,
>
> Is there a case at all when a MS needs to & can get multiple IP address?
>

Concurrent services allow the TE & MT to establish separate PPP
sessions with PDSN.
In such cases Mobile can get two separate IP Addresses from PDSN or
one IP Address from PDSN and another from Home Agent (for a MoIP Call)

> If there is a case, how does it get that address?
> Should PDSN's DHCP relay agent discard such requests?
>
>
>
> Please note that this is a SIP scenario.
>
> Thanks,
> Arun
>
> --
> Mip4 mailing list: [email-masked]
>     Web interface: https://www1.ietf.org/mailman/listinfo/mip4
>      Charter page: http://www.ietf.org/html.charters/mip4-charter.html
> Supplemental site: http://www.mip4.org/
>

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/